# eric5.IconEditor.IconEditorPalette

Module implementing a palette widget for the icon editor.

### Global Attributes

None

### Classes

IconEditorPalette | Class implementing a palette widget for the icon editor.

### Functions

None

## IconEditorPalette

Class implementing a palette widget for the icon editor.

### Signals

colorSelected(QColor)
  emitted after a new color has been selected
compositingChanged(QPainter.CompositionMode)
  emitted to signal a change of the compositing mode

### Derived from

QWidget

### Class Attributes

None

### Class Methods

None

### Methods

IconEditorPalette | Constructor
__alphaChanged | Private slot to track changes of the alpha channel.
__compositingChanged | Private slot to handle a change of the compositing mode.
__selectColor | Private slot to select a new drawing color.
colorChanged | Public slot to update the color preview.
previewChanged | Public slot to update the preview.
setCompositingMode | Public method to set the compositing mode.

### Static Methods

None

#### IconEditorPalette (Constructor)

IconEditorPalette(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### IconEditorPalette.__alphaChanged

__alphaChanged(val)

Private slot to track changes of the alpha channel.

val
  value of the alpha channel

#### IconEditorPalette.__compositingChanged

__compositingChanged(on)

Private slot to handle a change of the compositing mode.

on
  flag indicating the checked state of the compositing button (boolean)

#### IconEditorPalette.__selectColor

__selectColor()

Private slot to select a new drawing color.

#### IconEditorPalette.colorChanged

colorChanged(color)

Public slot to update the color preview.

color
  new color (QColor)

#### IconEditorPalette.previewChanged

previewChanged(pixmap)

Public slot to update the preview.

pixmap
  new preview pixmap (QPixmap)

#### IconEditorPalette.setCompositingMode

setCompositingMode(mode)

Public method to set the compositing mode.

mode
  compositing mode to set (QPainter.CompositionMode)

Up